import Api from '../axios'

const prefix = '/appshow/appshow/subjectManage'
export default {

  /* 保存专题信息 */
  addSubjectInfo (obj) {
    return Api.post(prefix, obj)
  },
  /* 专题左侧列表展示 */
  list (obj) {
    return Api.get(prefix + '/list', obj)
  },
  /* 主题配置接口，关联图表 */
  relSubjectChart (obj) {
    return Api.get(prefix + '/relSubjectChart', obj)
  },
  /* 修改专题状态接口 */
  updateTopicState (obj) {
    return Api.putById(prefix + "/state/", obj)
  },
  /* 专题配置接口 */
  updateTopicById (obj) {
    return Api.putById(prefix + '/', obj)
  },
  /* 根据ID获取专题信息 */
  getTopicById (obj) {
    return Api.getById(prefix + "/", obj)
  },
  /* 删除接口 */
  delTopicInfo (obj) {
    return Api.deleteById(prefix + "/" , obj)
  }
}
